Subject: bug#14634: 24.3.50; face attributes for font appearance (:font etc.)

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Nov 2019 18:14:35 +0100

Drew Adams <[email-masked]> writes:

> emacs -Q
> In *scratch*, turn off font-lock-mode, then type this, then hit `C-x C-e':
>
> (put-text-property 92 126 
> 		   'face (list :foundry "outline"
> 			       :family "Lucida Bright"
> 			       :weight "bold" :slant "italic"
> 			       :width "normal"))
>
> You will see the words "to create a file, visit that file" change font,
> but they will not be italic... (I don't think it is bold either, but I
> cannot be sure.)  `C-u C-x =' shows that the property was applied, but
> it is not reflected.

The syntax is with symbols, not strings:

(insert (propertize "foo" 'face (list :foundry "outline"
			               :family "Lucida Bright"
			               :weight 'bold :slant 'italic
			               :width 'normal)))

This isn't mentioned in "Low-Level Font", so I've now done so.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no